/***************************************************************************
                          CdboCreateDataCdAction.h  -  description
                             -------------------
    begin                : Sat Sep 14 2002
    copyright            : (C) 2002 by Alex Podolsky
    email                : alexpod@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; see the file COPYING.  If not, write to
	the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
	Boston, MA 02111-1307, USA.

***************************************************************************/

#ifndef CDBOCREATEDATACDACTION_H
#define CDBOCREATEDATACDACTION_H

#include "CdboAction.h"

class KProcess;

////////////
class CdboCreateDataCdAction : public CdboActionHandler{
	Q_OBJECT

public:
	CdboCreateDataCdAction(KLibFactory* factory, QObject *, const char *);
	~CdboCreateDataCdAction();

protected:
	/*

	param ACTION_TYPE
	param SPEED
	param TARGET_DEVICE
	param IMAGE_NAME
	param TMP_DIRECTORY
	param MIN_TMP_SIZE
	param IS_ON_THE_FLY_CREATE_DATA
	param IS_CREATE_IMAGE
	param IS_CREATE_IMAGE_ONLY
	param NUMBER_OF_COPIES
	IS_MAPPINGS_READY


	*/
	virtual void initProcess(KProcess *proc, CdboParamsDict* params);
	virtual void processFailed();
	virtual void resetSettings();

private:
	QString *isoImageName;
	QString sessionTypeHolder;
	QString isCreatingNewCD;
	bool withCleanUp;
	bool onTheFly;

};

#endif
